> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/createsecuritytokenparams.md).

# CreateSecurityTokenParams

## Hierarchy

* **CreateSecurityTokenParams**

## Index

### Properties

* [documents](#optional-documents)
* [fundingRound](#optional-fundinground)
* [isDivisible](#isdivisible)
* [name](#name)
* [requireInvestorUniqueness](#optional-requireinvestoruniqueness)
* [tokenIdentifiers](#optional-tokenidentifiers)
* [tokenType](#tokentype)
* [totalSupply](#optional-totalsupply)

## Properties

### `Optional` documents

• **documents**? : [*TokenDocument*](/polymesh-sdk-api-reference/docs-v10/interfaces/tokendocument.md)*\[]*

*Defined in* [*src/api/procedures/createSecurityToken.ts:66*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/procedures/createSecurityToken.ts#L66)

### `Optional` fundingRound

• **fundingRound**? : *undefined | string*

*Defined in* [*src/api/procedures/createSecurityToken.ts:65*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/procedures/createSecurityToken.ts#L65)

(optional) funding round in which the token currently is (Series A, Series B, etc)

### isDivisible

• **isDivisible**: *boolean*

*Defined in* [*src/api/procedures/createSecurityToken.ts:51*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/procedures/createSecurityToken.ts#L51)

whether a single token can be divided into decimal parts

### name

• **name**: *string*

*Defined in* [*src/api/procedures/createSecurityToken.ts:43*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/procedures/createSecurityToken.ts#L43)

### `Optional` requireInvestorUniqueness

• **requireInvestorUniqueness**? : *undefined | false | true*

*Defined in* [*src/api/procedures/createSecurityToken.ts:71*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/procedures/createSecurityToken.ts#L71)

whether this asset requires investors to have a Investor Uniqueness Claim in order to hold it. Optional, defaults to true. More information about Investor Uniqueness and PUIS [here](https://developers.polymesh.live/introduction/identity#polymesh-unique-identity-system-puis)

### `Optional` tokenIdentifiers

• **tokenIdentifiers**? : [*TokenIdentifier*](/polymesh-sdk-api-reference/docs-v10/interfaces/tokenidentifier.md)*\[]*

*Defined in* [*src/api/procedures/createSecurityToken.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/procedures/createSecurityToken.ts#L61)

array of domestic or international alphanumeric security identifiers for the token (ISIN, CUSIP, etc)

### tokenType

• **tokenType**: *string*

*Defined in* [*src/api/procedures/createSecurityToken.ts:57*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/procedures/createSecurityToken.ts#L57)

type of security that the token represents (i.e. Equity, Debt, Commodity, etc). Common values are included in the [KnownTokenType](/polymesh-sdk-api-reference/docs-v10/enums/knowntokentype.md) enum, but custom values can be used as well. Custom values must be registered on-chain the first time they're used, requiring an additional transaction. They aren't tied to a specific Security Token

### `Optional` totalSupply

• **totalSupply**? : *BigNumber*

*Defined in* [*src/api/procedures/createSecurityToken.ts:47*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/procedures/createSecurityToken.ts#L47)

amount of tokens that will be minted on creation (optional, default doesn't mint)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/createsecuritytokenparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
